<template>
  
  <div class="node" :style="{backgroundColor:statusData.color}">
    <h3>{{statusData.name}}</h3>
    <Action v-for="actionData in Object.keys(statusData)" :key="actionData" :actionData="actionData" />
  </div>
  
</template>

<script>
//import {useStore} from "vuex"

import Action from "@/components/Action.vue"

export default {
  name: 'Status',
  props: {
    statusData: Object
  },
  setup(){
    //const store = useStore();
    //console.log(store);
  },
  methods: {
  
  },
  computed:{
    checkIfAction: function(i){
      if (typeof i === 'object'){return true}
      return false
    }
  },
  components:{
    Action:Action
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

.node{
  width: 15vw;
  min-height: 2vh;
  max-height: 50vh;
  overflow: scroll;
  word-break: break-all;
  color: white;
}

</style>
